%global pypi_name url-normalize

Name:           python-%{pypi_name}
Version:        1.4.3
Release:        %mkrel 3
Summary:        URL normalization for Python
Group:          Development/Python

License:        MIT
URL:            https://pypi.org/project/url-normalize/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
URI Normalization function:
    Take care of IDN domains.
    Always provide the URI scheme in lowercase characters.
    Always provide the host, if any, in lowercase characters.
    Only perform percent-encoding where it is essential.
    Always use uppercase A-through-F characters when percent-encoding.
    Prevent dot-segments appearing in non-relative URI paths.
    For schemes that define a default authority, use an empty authority if the default is desired.
    For schemes that define an empty path to be equivalent to a path of "/", use "/".
    For schemes that define a port, use an empty port if the default is desired
    All portions of the URI must be utf-8 encoded NFC from Unicode strings

%package -n     python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
URI Normalization function:
    Take care of IDN domains.
    Always provide the URI scheme in lowercase characters.
    Always provide the host, if any, in lowercase characters.
    Only perform percent-encoding where it is essential.
    Always use uppercase A-through-F characters when percent-encoding.
    Prevent dot-segments appearing in non-relative URI paths.
    For schemes that define a default authority, use an empty authority if the default is desired.
    For schemes that define an empty path to be equivalent to a path of "/", use "/".
    For schemes that define a port, use an empty port if the default is desired
    All portions of the URI must be utf-8 encoded NFC from Unicode strings

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files url_normalize

%check

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc LICENSE
%doc README.md


%changelog
* Sun Mar 02 2025 wally <wally> 1.4.3-3.mga10
+ Revision: 2157895
- rebuild for python3.13

* Fri Jan 05 2024 papoteur <papoteur> 1.4.3-2.mga10
+ Revision: 2027810
- rebuild for python 3.12
- use pyproject macros

* Sat Mar 19 2022 guillomovitch <guillomovitch> 1.4.3-1.mga9
+ Revision: 1801636
- imported package python-url-normalize

